package com.elab.redis.service;

import com.alibaba.fastjson.JSONObject;
import com.elab.redis.redisson.doc.model.SomeObject;

/**
 * @author ： liukx
 * @time ： 2020/7/9 - 20:30
 */
public interface IDemoService {


    public String submit(String text) throws Exception;

    public String submit(SomeObject text) throws Exception;

    public String springCache(String text) throws Exception;

    public String springCacheObject(JSONObject jsonObject) throws Exception;

    public String noCache(String text);

    public boolean put(String key, String value);

    public boolean del(String key, String value);

}
